﻿using Microsoft.Reporting.WebForms;
using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.UI.WebControls;

namespace AspNet_RptGridView
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.IsPostBack)
            {
                gvCustomers.DataSource = GetDados("SELECT TOP 15 * FROM Customers ORDER BY NEWID()");
                gvCustomers.DataBind();
            }
        }

        private DataTable GetDados(string query)
        {
            string conString = ConfigurationManager.ConnectionStrings["conexaoSQL"].ConnectionString;
            SqlCommand cmd = new SqlCommand(query);
            using (SqlConnection con = new SqlConnection(conString))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter())
                {
                    cmd.Connection = con;

                    sda.SelectCommand = cmd;
                    using (DataTable dt = new DataTable())
                    {
                        sda.Fill(dt);
                        return dt;
                    }
                }
            }
        }


        protected void ExibirRDLC(object sender, EventArgs e)
        {
            Customer dsCustomers = new Customer();
            foreach (GridViewRow row in gvCustomers.Rows)
            {
                if ((row.FindControl("chkSelect") as CheckBox).Checked)
                {
                    string customerId = row.Cells[1].Text;
                    string contactName = row.Cells[2].Text;
                    string city = row.Cells[3].Text;
                    string country = row.Cells[4].Text;
                    dsCustomers.Tables[0].Rows.Add(row.Cells[1].Text, row.Cells[2].Text, row.Cells[3].Text, row.Cells[4].Text);
                }
            }

            ReportViewer1.ProcessingMode = ProcessingMode.Local;
            ReportViewer1.LocalReport.ReportPath = Server.MapPath("~/Relatorio.rdlc");
            ReportDataSource datasource = new ReportDataSource("Customers", dsCustomers.Tables[0]);
            ReportViewer1.LocalReport.DataSources.Clear();
            ReportViewer1.LocalReport.DataSources.Add(datasource);
        }
    }
}